POST
/api/v2/loyalty/merchantsCreate a new merchant for the authenticated company
Authentication
Send your API key in the x-api-key header on every request.
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| Name | string | Yes | |
| Description | string | No | |
| Category | string | No | |
| IsActive | boolean | No | |
| IsPartner | boolean | No | |
| ContactEmail | string | No | |
| ContactPhone | string | No | |
| Address | string | No | |
| Website | string | No |
Responses
201 — Created
| Field | Type | Required | Description |
|---|---|---|---|
| Id | unknown | No | |
| Name | string | No | |
| Description | string | No | |
| Category | string | No | |
| CompanyId | unknown | No | |
| IsActive | boolean | No | |
| IsPartner | boolean | No | |
| ContactEmail | string | No | |
| ContactPhone | string | No | |
| Address | string | No | |
| Website | string | No | |
| MerchantIds | array of MerchantIdResponse | No | |
| LoyaltyRules | array of MerchantLoyaltyRuleResponse | No | |
| CreatedAt | string (date-time) | No | |
| UpdatedAt | string (date-time) | No |
400 — Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
500 — Internal Server Error
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X POST "https://{base_url}/api/v2/loyalty/merchants" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"Name":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.